# http://upstart.ubuntu.com/cookbook/

description "Robotnik Watchdog"

start on started rsyslog
stop on stopping rsyslog

pre-start script
logger -t syslog.info "Robotnik watchdog starting"
end script

pre-stop script
logger -t syslog.info "Robotnik watchdog stopping"
end script

exec sh -c '
while true; do
    [ -x /opt/zoox/fix_robotnik.sh ] && /opt/zoox/fix_robotnik.sh ;
    sleep 1;
done;'
